Bug 1120272 - Remove Capacity Factor from API Documentation
Summary: Remove Capacity Factor from API Documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR2
: 6.3.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1142841
TreeView+ depends on / blocked
 
Reported: 2014-07-16 15:23 UTC by Divya Mehra
Modified: 2015-01-26 14:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1142841 (view as bug list)
Environment:
Last Closed: 2015-01-26 14:04:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Divya Mehra 2014-07-16 15:23:58 UTC
Description of problem:

- We do not support adjustment of Capacity Factor in JDG. 

- We need to remove *all references* to Capacity Factor from API Docs.

For example:
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.2/html/API_Documentation/files/api/org/infinispan/configuration/cache/HashConfigurationBuilder.html#capacityFactor%28float%29

- We need to do this for JDG 6.3, and retroactively for JDG 6.2 as well.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Misha H. Ali 2014-07-17 22:31:23 UTC
Thanks, Divya,

This will need to be fixed by engineering in the javadocs. Is there a separate bug to track that for engineering, do you know?

Comment 3 Misha H. Ali 2014-07-17 23:37:26 UTC
Tristan, could you point me to the bug you're using to track this update please? Or if no bug is being used, when do we expect this update?

Comment 5 Tristan Tarrant 2014-07-28 07:35:00 UTC
The fix is now in the product branch. It makes HashConfigurationBuilder#capacityFactor() and HashConfiguration#capacityFactor() private and also comments out the attribute in the infinispan-config-6.1.xsd schema

Comment 6 Misha H. Ali 2014-07-28 07:48:08 UTC
Thanks, Tristan. Could you point me to the new rebuild of the javadocs payload, or attach it in an email if it's not available for download please?

Comment 7 Misha H. Ali 2014-07-29 04:23:13 UTC
Additionally, if we want to make this change in the 6.2 API Docs as well, I'll need that payload separately as well.

Comment 10 Misha H. Ali 2014-09-04 02:14:31 UTC
Divya has clarified that he would like this only included in 6.3.1.

Comment 14 Alan Field 2014-09-11 09:15:46 UTC
Verified in JDG 6.3.1 CR1


Note You need to log in before you can comment on or make changes to this bug.